using System.Net;
using System.Text;
using System.Text.RegularExpressions;

namespace WinFormsDemo
{
    public partial class Form1 : Form
    {
        public List<string> Images { get; set; } = new();
        private int index;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string htmlCode;
            using (var client = new WebClient())
            {
                client.Encoding = Encoding.UTF8;
                htmlCode = client.DownloadString("https://www.hearthpwn.com/cards?display=3&filter-premium=1&filter-set=2300&filter-unreleased=1");
            }

            var m = Regex.Match(htmlCode, "<img class=\"hscard-static\" src=\"(.*?)\"");

            while (m.Success)
            {
                Images.Add(m.Groups[1].Value);
                m = m.NextMatch();
            }

            pictureBox1.SizeMode = PictureBoxSizeMode.AutoSize;
            pictureBox1.ImageLocation = Images.ElementAt(index);
            button1.Enabled = false;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (index > 0)
            {
                button2.Enabled = true;

                index--;
                pictureBox1.ImageLocation = Images.ElementAt(index);

                if (index == 0)
                {
                    button1.Enabled = false;
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {

            if (index == 0)
            {
                button1.Enabled = false;
            }

            if (index < Images.Count - 1)
            {
                button1.Enabled = true;

                index++;
                pictureBox1.ImageLocation = Images.ElementAt(index);

                if (index == Images.Count - 1)
                {
                    button2.Enabled = false;
                }
            }
        }
    }
}